<?php
/**
 * sin Theme Customizer
 *
 * @package sin
 */

function sin_customize_register( $wp_customize ) {

	$wp_customize->add_panel( 'theme_options' ,array(
		'title' => esc_html__( 'Theme Options', 'sin' ),
		'description' => '',
	));

	//----------------------------------------------------------------------------------
	// Section: Colors
	//----------------------------------------------------------------------------------
	$wp_customize->add_section( 'colors_general' , array(
   		'title' => esc_html__('Colors', 'sin'),
      'panel' => 'theme_options',
   		'priority' => 1,
	));
  $wp_customize->add_setting( 'theme_color', array(
    'default' => '#00acdf',
    'sanitize_callback' => 'sanitize_hex_color_no_hash',
    'sanitize_js_callback' => 'maybe_hash_hex_color',
  ));
  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'theme_color', array(
    'label' => esc_html__( 'Theme Color', 'sin' ),
    'section' => 'colors_general',
  )));

	//----------------------------------------------------------------------------------
	// Section: General Settings
	//----------------------------------------------------------------------------------
	$wp_customize->add_section( 'general' , array(
   		'title' => esc_html__('General Settings', 'sin'),
      'panel' => 'theme_options',
   		'priority' => 2,
	));
	$wp_customize->add_setting('blog_pagination',array(
		'default' => 'pagination',
		'sanitize_callback' => 'sin_sanitize_blog_pagination',
	));
	$wp_customize->add_control(new WP_Customize_Control($wp_customize,'blog_pagination',array(
		'label' => esc_html__('Blog Pagination or Navigation', 'sin'),
		'section' => 'general',
		'settings' => 'blog_pagination',
		'type' => 'radio',
		'choices' => array(
			'pagination' => esc_html__('Pagination', 'sin'),
			'navigation' => esc_html__('Navigation', 'sin'),
    ),
  )));
  $wp_customize->add_setting('header_title',array(
    'default' => false,
    'sanitize_callback' => 'sin_sanitize_checkbox',
  ));
  $wp_customize->add_control(new WP_Customize_Control($wp_customize,'header_title',array(
    'label' => esc_html__('Hide Header Title Text', 'sin'),
    'section' => 'general',
    'settings' => 'header_title',
    'type' => 'checkbox',
  )));
  $wp_customize->add_setting('blog_layout',array(
    'default' => 'right_sidebar',
    'sanitize_callback' => 'sin_sanitize_blog_layout',
  ));
  $wp_customize->add_control('blog_layout',array(
    'type' => 'select',
    'label' => esc_html__('Blog Layout', 'sin'),
    'section' => 'general',
    'choices' => array(
      'right_sidebar' => esc_html__('Right sidebar', 'sin'),
      'left_sidebar' => esc_html__('Left sidebar', 'sin'),
      'one_column'  => esc_html__('One column', 'sin'),
    ),
  ));
  $wp_customize->add_setting('blog_excerpt_type',array(
      'default' => 'excerpt',
      'sanitize_callback' => 'sin_sanitize_blog_excerpt_type',
  ));
  $wp_customize->add_control('blog_excerpt_type',array(
    'type' => 'select',
    'label' => esc_html__('Use Excerpt or "Read More tag"', 'sin'),
    'section' => 'general',
    'choices' => array(
      'excerpt' => esc_html__('Excerpt', 'sin'),
      'more-tag' => esc_html__('Read More tag', 'sin'),
    ),
  ));
}
add_action( 'customize_register', 'sin_customize_register' );
